#include "chdecl.h"
void CH_getformatters_fmtfmlattr(current, sched, cop)
#define ARGUMENTS 9
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto c3;
    case 4: goto c8;
    case 5: goto cb22;
    case 6: goto c23;
    case 7: goto c25;
    case 8: goto c38;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* call 3.0.4 3.0 3.1 3.2 3.3.0 4 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(4),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(3)DOT(1),
          arguments[3] = DEF(3)DOT(2),
          arguments[4] = DEF(3)DOT(3)DOT(0),
          arguments[5] = DEF(4),
          arguments[5+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* move 3.5 4 */
  (*(REF(3)DOT(5).tsdr)->finalize)(REF(3)DOT(5).value,F_DISCARD,sched);
  REF(3)DOT(5) = REF(4);
  REF(4).tsdr = & dr_bottom;
/* chs_lit 5 , "(" */
  if( !chs_lit(DEF(5),"(") ) goto ch_depletion;
/* copy 6 3.3.1 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(3)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).value = ch_val;
  REF(6).tsdr = & dr_table;
/* initget 7 6 , 0,0 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(7),DEF(6),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c8:
/* get_or_goto 7 6 , 25 */
  if ((ch_returncode = get_selected_object(DEF(7),DEF(6),sched)) != Normal)
     goto c25;
/* position 8 7 */
  ch_frame = get_selector_frame(DEF(7),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(8).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(8).tsdr = &dr_integer;
/* ile . 8 =(0) , 15 */
  if ( REF(8).value.integer <= 0 ) goto c15;
/* ordenum_lit 9 , 44 */
  REF(9).value.ord_enum = 44;
  REF(9).tsdr = & dr_ord_enumeration;
/* insert 5 9 */
  if ((ch_returncode = insertfunc(DEF(5),DEF(9),FALSE,0)) != Normal)
     goto ch_raise_exception;
c15:
/* size 10 7 */
  REF(10).value.integer = REF(7).value.table->size;
  REF(10).tsdr = & dr_integer;
/* notequal . 10 =(0) , 22 */
  if ( REF(10).value.integer != 0 ) goto c22;
/* ordenum_lit 11 , 42 */
  REF(11).value.ord_enum = 42;
  REF(11).tsdr = & dr_ord_enumeration;
/* insert 5 11 */
  if ((ch_returncode = insertfunc(DEF(5),DEF(11),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 8 */
   goto c8;
c22:
  current->ip = 5;
cb22:
/* call 3.0.2 3.0 3.1 3.2 7 3.4 12 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(2),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(3)DOT(1),
          arguments[3] = DEF(3)DOT(2),
          arguments[4] = DEF(7),
          arguments[5] = DEF(3)DOT(4),
          arguments[6] = DEF(12),
          arguments[6+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c23:
/* merge 5 12 */
  if ((ch_returncode = mergefunc(DEF(5),DEF(12),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 8 */
   goto c8;
c25:
/* endget 7 6 */
  end_selector(DEF(7),DEF(6),sched,GET);
/* discard 6 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).tsdr = & dr_bottom;
/* ordenum_lit 13 , 41 */
  REF(13).value.ord_enum = 41;
  REF(13).tsdr = & dr_ord_enumeration;
/* insert 5 13 */
  if ((ch_returncode = insertfunc(DEF(5),DEF(13),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* chs_lit 14 , "(*)" */
  if( !chs_lit(DEF(14),"(*)") ) goto ch_depletion;
/* notequal 15 5 14 */
  REF(15).value.boolean = (!eq_table(REF(5).value,REF(14).value));
  REF(15).tsdr = & dr_boolean;
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* branch_false 15 , 34 */
  if ( !REF(15).value.boolean ) goto c34;
/* merge 3.5 5 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(5),DEF(5),FALSE,0)) != Normal)
     goto ch_raise_exception;
c34:
/* discard 5 */
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c38:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
